package com.jdc.jdcproject.controller;

import com.jdc.jdcproject.entity.VO.DicekeTotalMiningVo;
import com.jdc.jdcproject.service.IDicekeTotalMiningService;
import com.jdc.jdcproject.utils.Result;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 采剥量报表; 前端控制器
 * </p>
 *
 * @author xvxboo
 */

@RestController
@RequestMapping("/dicekeTotalMining")
public class DicekeTotalMiningController {

    @Autowired
    private IDicekeTotalMiningService iDicekeTotalMiningService;

    @Operation(summary = "通过Month查询采剥量报表")
    @GetMapping("findTotalMiningByMonth")
   public Result findTotalMiningByMonth(@RequestParam(required = false) LocalDate Month){
       List<DicekeTotalMiningVo> totalMiningVoList = iDicekeTotalMiningService.getTotalMiningByMonth(Month);
       System.out.println(totalMiningVoList.toString());
       return Result.successResult().data("totalMiningVoList",totalMiningVoList);
   }


}
