package com.jdc.jdcproject.controller;

import com.jdc.jdcproject.entity.FangpaishuiPumpoperationrecord;
import com.jdc.jdcproject.entity.FangpaishuiUnit;
import com.jdc.jdcproject.entity.VO.FangpaishuiPumpoperationrecordVo;
import com.jdc.jdcproject.entity.VO.FangpaishuiUnitVo;
import com.jdc.jdcproject.service.EquipmentService;
import com.jdc.jdcproject.service.FangpaishuiPumpoperationrecordService;
import com.jdc.jdcproject.utils.Result;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.time.Instant;
import java.time.LocalDate;
import java.time.ZoneId;
import java.util.Date;
import java.util.List;

@RestController
@RequestMapping("/FangpaishuiPumpoperationrecordController")
public class FangpaishuiPumpoperationrecordController {
    @Autowired
    private FangpaishuiPumpoperationrecordService fangpaishuiPumpoperationrecordService;

    @Operation(summary = "根据条件查询水泵运行日志")
    @PostMapping("findPumpoperationrecordByDetail")
    public Result findPumpoperationrecordByDetail(@RequestBody FangpaishuiPumpoperationrecordVo fangpaishuiPumpoperationrecordVo) {
        List<FangpaishuiPumpoperationrecordVo> vos = fangpaishuiPumpoperationrecordService.findDetail(fangpaishuiPumpoperationrecordVo);
        return Result.successResult().data("vos", vos);
    }
    @Operation(summary = "新增水泵运行日志")
    @PostMapping("addFangpaishuiPumpoperationrecord")
    public Result addFangpaishuiPumpoperationrecord(@RequestBody FangpaishuiPumpoperationrecord fangpaishuiPumpoperationrecord) {
        Date date = new Date();
        Instant instant = date.toInstant();
        ZoneId zoneId = ZoneId.systemDefault();
        LocalDate localDate = instant.atZone(zoneId).toLocalDate();
        fangpaishuiPumpoperationrecord.setMonth(localDate);
        //计算小时差并写入操作时间
        Long start = fangpaishuiPumpoperationrecord.getStartupTime().getTime();
        Long end = fangpaishuiPumpoperationrecord.getEndTime().getTime();
        int minutes = (int) ((end - start) / (1000 * 60));
        fangpaishuiPumpoperationrecord.setOperationTime((double) (minutes/60));
        System.out.println(fangpaishuiPumpoperationrecord);

        boolean updateflag = fangpaishuiPumpoperationrecordService.save(fangpaishuiPumpoperationrecord);
        if (updateflag) {
            return Result.successResult();
        } else {
            return Result.errorResult();
        }
    }

    @Operation(summary = "删除水泵运行日志")
    @DeleteMapping("deleteFangpaishuiPumpoperationrecord/{id}")
    public Result deleteFangpaishuiPumpoperationrecord(@PathVariable int id) {
        boolean updateflag = fangpaishuiPumpoperationrecordService.removeById(id);
        if (updateflag) {
            return Result.successResult();
        } else {
            return Result.errorResult();
        }
    }

    @Operation(summary = "修改水泵运行日志")
    @PostMapping("updateFangpaishuiPumpoperationrecord")
    public Result updateFangpaishuiPumpoperationrecord(@RequestBody FangpaishuiPumpoperationrecord fangpaishuiPumpoperationrecord) {
        //计算小时差并写入操作时间
        Long start = fangpaishuiPumpoperationrecord.getStartupTime().getTime();
        Long end = fangpaishuiPumpoperationrecord.getEndTime().getTime();
        int minutes = (int) ((end - start) / (1000 * 60));
        fangpaishuiPumpoperationrecord.setOperationTime((double) (minutes/60));
        boolean updateflag = fangpaishuiPumpoperationrecordService.updateById(fangpaishuiPumpoperationrecord);
        if (updateflag) {
            return Result.successResult();
        } else {
            return Result.errorResult();
        }
    }
}
