package com.jdc.jdcproject.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDate;
import java.util.Date;

import lombok.Data;

/**
 * 泵站操作记录表;
 * @TableName fangpaishui_pumpoperationrecord
 */
@TableName(value ="fangpaishui_pumpoperationrecord")
@Data
public class FangpaishuiPumpoperationrecord implements Serializable {
    /**
     * 主键，唯一标识操作记录
     */
    @TableId(value = "RecordID")
    private Integer recordID;

    /**
     * 外键，关联操作的机组
     */
    @TableField(value = "UnitID")
    private Integer unitID;

    /**
     * 操作类型（“排水”或“倒水”）
     */
    @TableField(value = "OperationType")
    private String operationType;

    /**
     * 操作时间（小时）
     */
    @TableField(value = "OperationTime")
    private Double operationTime;

    /**
     * 排水量/倒水量（单位：立方米）
     */
    @TableField(value = "Volume")
    private Integer volume;

    /**
     * 月份（格式：YYYY-MM-dd）
     */
    @TableField(value = "Month")
    private LocalDate month;

    /**
     * 班次（白班、零点班、四点班）
     */
    @TableField(value = "Sailings")
    private String sailings;

    /**
     * 启动时间（格式：YYYY-MM-dd HH:mm:ss）
     */
    @TableField(value = "StartupTime")
    private Date startupTime;

    /**
     * 停止时间（格式：YYYY-MM-dd HH:mm:ss）
     */
    @TableField(value = "EndTime")
    private Date endTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        FangpaishuiPumpoperationrecord other = (FangpaishuiPumpoperationrecord) that;
        return (this.getRecordID() == null ? other.getRecordID() == null : this.getRecordID().equals(other.getRecordID()))
            && (this.getUnitID() == null ? other.getUnitID() == null : this.getUnitID().equals(other.getUnitID()))
            && (this.getOperationType() == null ? other.getOperationType() == null : this.getOperationType().equals(other.getOperationType()))
            && (this.getOperationTime() == null ? other.getOperationTime() == null : this.getOperationTime().equals(other.getOperationTime()))
            && (this.getVolume() == null ? other.getVolume() == null : this.getVolume().equals(other.getVolume()))
            && (this.getMonth() == null ? other.getMonth() == null : this.getMonth().equals(other.getMonth()))
            && (this.getSailings() == null ? other.getSailings() == null : this.getSailings().equals(other.getSailings()))
            && (this.getStartupTime() == null ? other.getStartupTime() == null : this.getStartupTime().equals(other.getStartupTime()))
            && (this.getEndTime() == null ? other.getEndTime() == null : this.getEndTime().equals(other.getEndTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getRecordID() == null) ? 0 : getRecordID().hashCode());
        result = prime * result + ((getUnitID() == null) ? 0 : getUnitID().hashCode());
        result = prime * result + ((getOperationType() == null) ? 0 : getOperationType().hashCode());
        result = prime * result + ((getOperationTime() == null) ? 0 : getOperationTime().hashCode());
        result = prime * result + ((getVolume() == null) ? 0 : getVolume().hashCode());
        result = prime * result + ((getMonth() == null) ? 0 : getMonth().hashCode());
        result = prime * result + ((getSailings() == null) ? 0 : getSailings().hashCode());
        result = prime * result + ((getStartupTime() == null) ? 0 : getStartupTime().hashCode());
        result = prime * result + ((getEndTime() == null) ? 0 : getEndTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", recordID=").append(recordID);
        sb.append(", unitID=").append(unitID);
        sb.append(", operationType=").append(operationType);
        sb.append(", operationTime=").append(operationTime);
        sb.append(", volume=").append(volume);
        sb.append(", month=").append(month);
        sb.append(", sailings=").append(sailings);
        sb.append(", startupTime=").append(startupTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}