package com.jdc.jdcproject.entity.VO;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 处理水量记录表;
 * @TableName fangpaishui_watertreatmentrecord
 */
@TableName(value ="fangpaishui_watertreatmentrecord")
@Data
public class FangpaishuiWatertreatmentrecordVo implements Serializable {
    /**
     * 主键，唯一标识记录
     */
    @Schema(description = "主键")
    @TableId("treatmentID")
    private Integer treatmentID;

    /**
     * 处理水量（单位：立方米）
     */
    @Schema(description = "处理水量")
    private Integer waterVolume;

    /**
     * 拉泥车数（单位：车）
     */
    @Schema(description = "拉泥车数")
    private Integer truckCount;

    /**
     * 月份（格式：YYYY-MM）
     */
    @Schema(description = "月份")
    private LocalDate monthValue;

    /**
     * 月份范围
     */
    @Schema(description = "月份范围")
    private String monthRange;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}