package com.jdc.jdcproject.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jdc.jdcproject.entity.DicekeMiningloss;
import com.jdc.jdcproject.entity.VO.DicekeMininglossVo;
import com.jdc.jdcproject.entity.VO.DicekeTotalMiningVo;
import com.jdc.jdcproject.mapper.DicekeMininglossMapper;
import com.jdc.jdcproject.service.IDicekeTotalMiningService;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 采剥量报表; 服务实现类
 * </p>
 *
 * @author xvxboo
 */

@Service
public class DicekeTotalMiningServiceImpl extends ServiceImpl<DicekeMininglossMapper, DicekeMiningloss> implements IDicekeTotalMiningService {
    @Override
    public List<DicekeTotalMiningVo> getTotalMiningByMonth(LocalDate Month) {
        int year = Month.getYear();
        int monthV = Month.getMonthValue();
        List<DicekeMininglossVo> mininglossVoList = baseMapper.findLossByMonth(monthV, year);
        List<DicekeTotalMiningVo> totalMiningList = new ArrayList<>();
        //将mininglossListt赋值给totalMiningList
        for (DicekeMininglossVo dmlVoLItem : mininglossVoList){
            String plateR = dmlVoLItem.getPlateRange();
            String shovelC = dmlVoLItem.getShovelCode();
            String beiZ = dmlVoLItem.getBeizhu();
            String uom = "t";   /*单位：吨*/
            Double oreY = dmlVoLItem.getStrippingAndTotalMiningTon()
                    - dmlVoLItem.getStrippingTon(); /*出矿量 = 采剥总量 - 剥离量*/
            Double strippingT = dmlVoLItem.getStrippingTon();
            Double strippingAndTMT = dmlVoLItem.getStrippingAndTotalMiningTon();
            LocalDate mon = dmlVoLItem.getMonth();

            DicekeTotalMiningVo dtmVoItem = new DicekeTotalMiningVo(plateR,
                    shovelC,beiZ,uom,oreY,strippingT,strippingAndTMT,mon);

            totalMiningList.add(dtmVoItem);
        }
        return totalMiningList;
    }
}
